ALAS-2020-1420


Amazon Linux AMI Security Advisory: ALAS-2020-1420
Advisory Release Date: 2020-08-26 23:09 Pacific
Advisory Updated Date: 2020-08-31 20:09 Pacific
Severity: Medium
References: CVE-2020-11078 

Issue Overview:

In httplib2 before version 0.18.0, an attacker controlling unescaped part of uri for `httplib2.Http.request()` could change request headers and body, send additional hidden requests to same server. This vulnerability impacts software that uses httplib2 with uri constructed by string concatenation, as opposed to proper urllib building with escaping. This has been fixed in 0.18.0. (CVE-2020-11078 )


Affected Packages:

python-httplib2


Issue Correction:
Run yum update python-httplib2 to update your system.

New Packages:
noarch:
    python26-httplib2-0.18.1-1.13.amzn1.noarch
    python27-httplib2-0.18.1-1.13.amzn1.noarch

src:
    python-httplib2-0.18.1-1.13.amzn1.src